Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui
Class PartInitException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.eclipse.core.runtime.CoreException
                  org.eclipse.ui.WorkbenchException
                      org.eclipse.ui.PartInitException

All Implemented Interfaces:
  Serializable

public class PartInitException
extends WorkbenchException

A checked exception indicating a workbench part cannot be initialized correctly. The message text provides a further description of the problem.

This exception class is not intended to be subclassed by clients.

See Also:
  Serialized Form

Constructor Summary
`PartInitException(IStatus status)` Creates a new exception with the given status object.
`PartInitException(String message)` Creates a new exception with the given message.
`PartInitException(String message, Throwable nestedException)` Creates a new exception with the given message.

Methods inherited from class org.eclipse.core.runtime.CoreException
`getStatus, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PartInitException

    public PartInitException(String message)

  Creates a new exception with the given message.

Parameters:
  `message` - the message

### PartInitException

    public PartInitException(String message,
                             Throwable nestedException)

  Creates a new exception with the given message.

Parameters:
  `message` - the message
  `nestedException` - a exception to be wrapped by this PartInitException

### PartInitException

    public PartInitException(IStatus status)

  Creates a new exception with the given status object. The message of the given status is used as the exception message.

Parameters:
  `status` - the status object to be associated with this exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.